Get server startup information
Returns the startup command and all user-viewable variables for the specified server
Returns the startup command and all user-viewable variables for the specified server
Authorization
bearerAuth AuthorizationBearer <token>
Enter your API token in the format: Bearer {token}
In: header
Path Parameters
server*string
Server UUID
Query Parameters
include?string
Additional relationships to include
Response Body
application/json
curl -X GET "https://example.com/api/client/servers/string/startup"{
"object": "list",
"data": [
{
"object": "egg_variable",
"attributes": {
"name": "Server Port",
"description": "The port your server will listen on",
"env_variable": "SERVER_PORT",
"default_value": "25565",
"server_value": "25565",
"is_editable": true,
"rules": "required|integer|between:1024,65535"
}
}
],
"meta": {
"startup_command": "java -Xms128M -Xmx1024M -jar server.jar",
"docker_images": {},
"raw_startup_command": "java -Xms{{SERVER_MEMORY}}M -Xmx{{SERVER_MEMORY}}M -jar {{SERVER_JARFILE}}"
}
}Empty
Empty
Empty